Summary: A configuration tool for X window managers.
Name: wmconfig
%define version 0.9.7
Version: %{version}
Release: 2mdk
Copyright: GPL
Group: Graphical desktop/Other
Source: ftp://ftp.redhat.com/home/gafton/wmconfig/wmconfig-%{version}.tar.bz2
Patch0: wmconfig-mdkconf.diff.bz2
BuildRoot: /var/tmp/wmconfig-root

%description
The wmconfig program is a helper program which provides output for use in
configuring window managers. Wmconfig will produce a list of menu definitions
for a specified X window manager (currently, FVWM2, FVWM95, AfterStep, MWM,
IceWM and KDE are supported). Wmconfig's output can be placed into your .rc
file or you can use the output for other configuration purposes.

%prep
%setup -q
%patch0 -p1

%build
automake
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6 \
	--enable-gnome
if [ x"$SMP" != x"" ]; then
        (make MAKE="make -j $SMP -k"; exit 0)
        make
else
        make
fi


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install-strip
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig

find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]'|xargs file|grep troff\
|cut -d: -f1|xargs bzip2 -9
for i in $(find $RPM_BUILD_ROOT/usr/man/ -type 'l');do
 	TO=$(/bin/ls -l $i|awk '{print $NF}')
	ln -sf $TO.bz2 $i && mv $i $.bz2
done
for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`;do
    file $i|grep -q "not stripped" && strip $i
done
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/X11R6/bin/wmconfig
%dir /etc/X11/wmconfig
/usr/X11R6/man/man1/wmconfig.1.bz2
%doc COPYING

%changelog
* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.7-2mdk
- fixed group

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP check/build
- 0.9.7

* Tue May 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Mandrake adaptations

